# Fixed Tax Rates

Fixed-rate taxes allow you to dynamically calculate the tax obligations of an order by using third-party calculation platforms. This complex option is useful for countries with different tax rates for different product types or regions within the country (the norm in the US).

When using fixed-rate taxes, taxes will be calculated for each price object in the order.

Fixed-rate taxes are defined using **Tax Classes**. A tax class is a classification for a specific type of product and can be configured to have different tax rates for different countries.

## Tax Class Configuration

1. Go to **Settings > Stores > {Your Store} > Taxes > Tax Classes**.

![Tax Classes Methods](/files/Zv5oOrxPCZ4HpIT5C606)

3. Click on the **Create Tax Class** button.
4. Enter the **Tax Class Name**, **Alias**, **Default Tax Rate** and optional **Default Tax Code**.

![Edit Tax Class](/files/EiGKJDbmBHSCk7OW16lH)

5. Optionally, define any country-specific tax rates by toggling the checkbox in the **Country Tax Classes** for the country.

![Country Region Tax Classes](/files/1KTh6LfrHrJSkSMEQ2Jp)

6. Click the **Edit Tax Class** button to define the country-specific tax rate/tax code.

![Country Region Tax Classes Modal](/files/2LJegTCloiaGVeqh9JMf)

7. Click **Save**.

## Assigning a Tax Class

There are two ways to assign a tax class to a product:

### Store Default Tax Class

In the store settings editor, set the **Default Tax Class** for the store. This will be the default tax class for all products in the store.

![Store Default Tax Class](/files/5PDXrd79kEezQa3B0KtF)

### Product Tax Class

In the product Document Type, define a **Store Entity Picker** property configured for the **Tax Class** entity type, with the property alias **taxClass**. In the products content editor, set the **Tax Class** for the product. This will override the store default tax class for the product.

![Product Tax Class](/files/Qhm6miYAGd8eT1TwmfjR)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-commerce/18.latest/reference/taxes/fixed-tax-rates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
